Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in OpenJDK
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in OpenJDK
ID: openSUSE-SU-2018:0684-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Do, 15. März 2018, 16:00
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2641
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2633
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2588
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2678
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2637
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2602
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2603
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2629
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2677
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2663
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2579
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2618
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2599
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-2634
Applikationen: OpenJDK

Originalnachricht

   openSUSE Security Update: Security update for java-1_7_0-openjdk
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0684-1
Rating: important
References: #1076366
Cross-References: CVE-2018-2579 CVE-2018-2588 CVE-2018-2599
CVE-2018-2602 CVE-2018-2603 CVE-2018-2618
CVE-2018-2629 CVE-2018-2633 CVE-2018-2634
CVE-2018-2637 CVE-2018-2641 CVE-2018-2663
CVE-2018-2677 CVE-2018-2678
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes 14 vulnerabilities is now available.

Description:

This update for java-1_7_0-openjdk fixes the following issues:

Security issues fixed in OpenJDK 7u171 (January 2018 CPU)(bsc#1076366):

- CVE-2018-2579: Improve key keying case
- CVE-2018-2588: Improve LDAP logins
- CVE-2018-2599: Improve reliability of DNS lookups
- CVE-2018-2602: Improve usage messages
- CVE-2018-2603: Improve PKCS usage
- CVE-2018-2618: Stricter key generation
- CVE-2018-2629: Improve GSS handling
- CVE-2018-2633: Improve LDAP lookup robustness
- CVE-2018-2634: Improve property negotiations
- CVE-2018-2637: Improve JMX supportive features
- CVE-2018-2641: Improve GTK initialization
- CVE-2018-2663: More refactoring for deserialization cases
- CVE-2018-2677: More refactoring for client deserialization cases
- CVE-2018-2678: More refactoring for naming

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-256=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

java-1_7_0-openjdk-1.7.0.171-48.3
java-1_7_0-openjdk-accessibility-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-debugsource-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-devel-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-devel-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-headless-1.7.0.171-48.3
java-1_7_0-openjdk-bootstrap-headless-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-debugsource-1.7.0.171-48.3
java-1_7_0-openjdk-demo-1.7.0.171-48.3
java-1_7_0-openjdk-demo-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-devel-1.7.0.171-48.3
java-1_7_0-openjdk-devel-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-headless-1.7.0.171-48.3
java-1_7_0-openjdk-headless-debuginfo-1.7.0.171-48.3
java-1_7_0-openjdk-src-1.7.0.171-48.3

- openSUSE Leap 42.3 (noarch):

java-1_7_0-openjdk-javadoc-1.7.0.171-48.3


References:

https://www.suse.com/security/cve/CVE-2018-2579.html
https://www.suse.com/security/cve/CVE-2018-2588.html
https://www.suse.com/security/cve/CVE-2018-2599.html
https://www.suse.com/security/cve/CVE-2018-2602.html
https://www.suse.com/security/cve/CVE-2018-2603.html
https://www.suse.com/security/cve/CVE-2018-2618.html
https://www.suse.com/security/cve/CVE-2018-2629.html
https://www.suse.com/security/cve/CVE-2018-2633.html
https://www.suse.com/security/cve/CVE-2018-2634.html
https://www.suse.com/security/cve/CVE-2018-2637.html
https://www.suse.com/security/cve/CVE-2018-2641.html
https://www.suse.com/security/cve/CVE-2018-2663.html
https://www.suse.com/security/cve/CVE-2018-2677.html
https://www.suse.com/security/cve/CVE-2018-2678.html
https://bugzilla.suse.com/1076366

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung